db-jdo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Andy Jefferson (JIRA)" <j...@apache.org>
Subject [jira] Commented: (JDO-675) Change JPA API dependency to org.eclipse.persistence
Date Sat, 29 Jan 2011 07:02:44 GMT

    [ https://issues.apache.org/jira/browse/JDO-675?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=12988406#action_12988406
] 

Andy Jefferson commented on JDO-675:
------------------------------------

I agree with you about the version numbers on geronimo specs Michael (what were they thinking?).
Whether something comes from an RI doesn't mean it is official though, since what if DataNucleus
provided a jdo-api.jar in groupId "org.datanucleus" ? ;-) 
Why "JPA" don't seem interested in actually providing an "official" persistence-api-2.0.jar
is another question.

Since it is to run the TCK I'm not bothered either way, just thought I'd mention it.

> Change JPA API dependency to org.eclipse.persistence
> ----------------------------------------------------
>
>                 Key: JDO-675
>                 URL: https://issues.apache.org/jira/browse/JDO-675
>             Project: JDO
>          Issue Type: Task
>          Components: api
>    Affects Versions: JDO 3
>            Reporter: Michael Bouschen
>            Assignee: Michael Bouschen
>             Fix For: JDO 3 maintenance release 1
>
>
> Change the JPA 2.0 AP dependency to official jar: 
>     <dependency>
>        <groupId>org.eclipse.persistence</groupId>
>        <artifactId>javax.persistence</artifactId>
>        <version>2.0.0</version>
>     </dependency>

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message